Geocode an address
curl --request GET \
--url https://api.gabin.ai/v1/geocode \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gabin.ai/v1/geocode', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.gabin.ai/v1/geocode"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"label": "<string>",
"name": "<string>",
"postal_code": "<string>",
"city": "<string>",
"insee": "<string>",
"precision": "housenumber",
"score": 123,
"location": [
123,
123
],
"building": {
"id": "<string>",
"address": "<string>",
"name": "<string>",
"gabin_url": "<string>"
}
}
],
"meta": {
"page": {
"next_cursor": "<string>",
"limit": 0
},
"total": 0,
"total_kind": "exact"
}
}Addresses
Geocode an address
Geocodes a French address with the Base Adresse Nationale (public service) and returns the normalized address, its point, and, for a house-number match, the BDNB building at that point (inside it, or within 30 m). Next: GET /v1/buildings/.
GET
/
v1
/
geocode
Geocode an address
curl --request GET \
--url https://api.gabin.ai/v1/geocode \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gabin.ai/v1/geocode', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.gabin.ai/v1/geocode"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"label": "<string>",
"name": "<string>",
"postal_code": "<string>",
"city": "<string>",
"insee": "<string>",
"precision": "housenumber",
"score": 123,
"location": [
123,
123
],
"building": {
"id": "<string>",
"address": "<string>",
"name": "<string>",
"gabin_url": "<string>"
}
}
],
"meta": {
"page": {
"next_cursor": "<string>",
"limit": 0
},
"total": 0,
"total_kind": "exact"
}
}Authorizations
API key gab_live_… or OAuth access token gat_….
Query Parameters
Address to geocode, free text. Example: "40 rue de Bruxelles Villeurbanne".
Required string length:
3 - 200Results, 1 to 10. Default 5.
Required range:
1 <= x <= 10⌘I